org.eclipse.oomph.resources.backend

## Interface BackendResource.Visitor

- All Known Implementing Classes:
    BackendResource.Visitor.Default
  Enclosing class:
    BackendResource

      public static interface BackendResource.Visitor

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BackendResource.Visitor.Default`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visit(BackendFile file, IProgressMonitor monitor)`
    `boolean` | `visit(BackendFolder folder, IProgressMonitor monitor)`
    `boolean` | `visit(BackendSystem system, IProgressMonitor monitor)`

- - ### Method Detail

    - #### visit

          boolean visit(BackendSystem system,
                      IProgressMonitor monitor)
                        throws BackendException

      Throws:
        `BackendException`

    - #### visit

          boolean visit(BackendFolder folder,
                      IProgressMonitor monitor)
                        throws BackendException

      Throws:
        `BackendException`

    - #### visit

          boolean visit(BackendFile file,
                      IProgressMonitor monitor)
                        throws BackendException

      Throws:
        `BackendException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html